#include <stdio.h>
#include <iostream>
#include <string>

using namespace std;

bool compare(string a, string b) {
	for (size_t i = 0; i < a.length(); i++)
	{
		if (a[i] > b[i]) {
			return true;
		}
		if (a[i] < b[i]) {
			return false;
		}
	}
	return true;
}

int main() {
	string input[3];
	cin >> input[0] >> input[1] >> input[2];
	string str[6];
	str[0] = input[0] + input[1] + input[2];
	str[1] = input[0] + input[2] + input[1];
	str[2] = input[0] + input[2] + input[1];
	str[3] = input[1] + input[0] + input[2];
	str[4] = input[1] + input[2] + input[0];
	str[5] = input[2] + input[0] + input[1];
	str[6] = input[2] + input[1] + input[0];
	string *max = &str[0];
	for (int i = 1; i < 6; i++) {
		if (!compare((*max),str[i])) {
			max = &str[i];
		}
	}
	cout << *max;
}